{
	"parent":"minecraft:end/kill_dragon",
	"display":{
		"icon":{
			"item":"legendary_monsters:large_shulker_shell"
		},
		"title":{
			"translate":"advancements.legendary_monsters.locate_shulker_tower.title"
		},
		"description":{
			"translate":"advancements.legendary_monsters.locate_shulker_tower.description"
		},
		"frame":"task",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"criteria":{
		"tower":{
			"trigger":"minecraft:location",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"location":{
							"structure":"legendary_monsters:shulker_tower"
						}
					},
					"entity":"this"
				}]
			}
		}
	},
	"requirements":[
		[
			"tower"
		]
	],
	"sends_telemetry_event":false
}